Subject: Re: [PATCH] ci(dockerized): do show the result of failing tests again

From: Junio C Hamano <[email-masked]>
Date: Tue, 25 Nov 2025 11:27:34 -0800

Johannes Schindelin <[email-masked]> writes:

> Hi Elijah,
>
> On Mon, 24 Nov 2025, Elijah Newren wrote:
>
>> On Mon, Nov 17, 2025 at 9:17 AM Johannes Schindelin via GitGitGadget
>> <[email-masked]> wrote:
>> >
>> > From: Johannes Schindelin <[email-masked]>
>> >
>> > The quality of tests/test suites does not show as much when there are no
>> > breakages as in the amount of time required after bugs trigger test
>> > failures before the bugs can be identified, analyzed and resolved.
>> 
>> I found this paragraph hard to parse.  After re-reading a couple
>> times, does the following convey the same meaning?:
>> 
>> The quality of tests and test suites is most apparent not when
>> everything passes, but in how quickly bugs can be identified,
>> analyzed, and resolved after test failures occur.
>
> Yes, this reflects what I tried to say.

So, do you mind if I locally amended the log message, or should we
expect an updated patch sent to the list?  For a small thing like
this, either is fine by me.

Thanks.